Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Fcntl.pm) perl(Scalar/Util.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-JSON-Path
Version:        0.101
Release:        alt2_5
Summary:        Search nested hashref/arrayref structures using JSONPath

License:        MIT
URL:            http://search.cpan.org/dist/JSON-Path/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/JSON-Path-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl(common/sense.pm)
BuildRequires:  perl(Error.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(Test/More.pm)

# Those are only needed when building for RHEL, on Fedora they come in as
# dependencies of the above
%if 0%{?rhel} < 7
BuildRequires:  perl(CPAN.pm)
%endif

Requires:       perl(common/sense.pm)
Requires:       perl(Error.pm)
Requires:       perl(JSON.pm)
Source44: import.info

%description
This module implements JSONPath, an XPath-like language for searching JSON-
like structures.


%prep
%setup -q -n JSON-Path-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes Changes.ttl Changes.xml README TODO
%{perl_vendor_privlib}/*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_4
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_2
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.101-alt1_2
- fc import

